Bug 1303080 - Error message needs to be improved on creating package or package-group with incorrect host-id
Error message needs to be improved on creating package or package-group with ...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 08:39 EST by Sachin Ghai
Modified: 2017-03-13 16:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-13 16:15:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13465 None None None 2016-04-22 12:56 EDT

  None (edit)
Description Sachin Ghai 2016-01-29 08:39:20 EST
Description of problem:
Error message needs to be improved on creating package or package-group with incorrect host-id

]# hammer -u admin -p changeme host package list --host-id 89
Couldn't find Host::Managed with 'id'=89 [WHERE "hosts"."type" IN ('Host::Managed')]

 ~]# hammer -u admin -p changeme host package install --packages zsh  --host-id 89
Could not install packages:
  Couldn't find Host::Managed with 'id'=89 [WHERE "hosts"."type" IN ('Host::Managed')]

~]# hammer -u admin -p changeme host package-group install --groups 'Development Tools' --host-id 12

Could not install package-groups:
  Couldn't find Host::Managed with 'id'=12 [WHERE "hosts"."type" IN ('Host::Managed')]


Please fix all package and package-groups sub-commands

Version-Release number of selected component (if applicable):

katello-2.5.0-3.nightly.el7.noarch
foreman-release-1.11.0-0.develop.201601211808gitd546fd0.el7.noarch
tfm-rubygem-hammer_cli_katello-0.0.20-1.el7.noarch
tfm-rubygem-hammer_cli-0.5.1-2.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. hammer -u admin -p changeme host package --help
2. hammer -u admin -p changeme host package-groups --help
3.

Actual results:


Expected results:
Error message needs to be improved on creating package or package-group with incorrect host-id

Additional info:
Comment 1 Sachin Ghai 2016-01-29 08:39:53 EST
Created redmine issue http://projects.theforeman.org/issues/13465 from this bug
Comment 3 Bryan Kearney 2016-02-14 12:01:04 EST
Upstream bug component is Hosts
Comment 4 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2016-07-26 11:36:36 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Bryan Kearney 2016-08-10 15:13:19 EDT
Upstream bug component is Hosts - Content
Comment 8 Bryan Kearney 2016-08-10 16:14:18 EDT
Upstream bug component is Hosts
Comment 9 Bryan Kearney 2016-08-10 18:13:57 EDT
Upstream bug component is Hosts - Content
Comment 10 Bryan Kearney 2017-03-13 16:15:40 EDT
This has been copied to an issue upstream. When the upstream issue is fixed, the next version of satellite will contain it. We will no longer track this downstream.

Note You need to log in before you can comment on or make changes to this bug.